Bug 1298650 - backend validation errors and warnings are not displayed in the WebUI
backend validation errors and warnings are not displayed in the WebUI
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP3
: 1.0
Assigned To: Erik Nelson
Tasos Papaioannou
: Triaged
Depends On:
Blocks: rhci-sprint-14
  Show dependency treegraph
 
Reported: 2016-01-14 11:28 EST by dgao
Modified: 2016-04-29 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (147.74 KB, image/png)
2016-01-14 11:28 EST, dgao
no flags Details

  None (edit)
Description dgao 2016-01-14 11:28:50 EST
Created attachment 1114881 [details]
Screenshot

Description of problem:

Backend validation errors/warnings from deployment_validator.rb does not get displayed in WebUI after katello-service restart.

Steps to Reproduce:
1. Create deployment w/ known validation error (bad NFS mount, etc..)
2. Verify that NFS warning/error exist on deployment review page.
3. katello-service restart 
4. Verify that any warnings or errors do __not__ get displayed in review page.
Comment 1 John Matthews 2016-04-04 10:36:29 EDT
QE to verify:

Do a RHEV deployment and enter a bad IP address for the NFS Share for RHEV Storage Domain.

See the warning is displayed on the review screen.
Comment 2 Tasos Papaioannou 2016-04-04 14:31:55 EDT
Verified on QCI-1.0-RHEL-7-20160329.t.0.

Note You need to log in before you can comment on or make changes to this bug.